Summary: An X Window System graphical chessboard
Name: xboard
Version: 4.4.3
Release: 1
Group: Amusements/Games
URL: http://www.tim-mann.org/xboard.html
Source0: ftp://ftp.gnu.org/pub/gnu/xboard/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/xboard/%{name}-%{version}.tar.gz.sig
Source2: chess.png
Source3: %{name}.desktop
Patch0: %{name}-%{version}-aix.patch
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: texinfo
BuildRequires: libXpm-devel >= 3.5.7, Xaw3d-devel >= 1.5
Requires: info, gnuchess
Requires: libXpm >= 3.5.7, Xaw3d >= 1.5

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNU chess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

Install the xboard package if you need a graphical chessboard.


%prep
%setup -q 
%patch0


%build
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-xpm \
    --enable-zippy \
    --enable-sigint \
    --with-x \
    --with-Xaw3d
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/%{name}.info.gz || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING COPYRIGHT AUTHORS TODO NEWS README FAQ.html ics-parsing.txt
%doc engine-intf.html zippy.README 
%{_bindir}/*
%{_mandir}/man6/*
%{_infodir}/*.info*
%{_datadir}/icons/hicolor/48x48/apps/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*
%{_datadir}/pixmaps/chess.png
/usr/bin/*


%changelog
* Wed Apr 07 2010 Michael Perzl <michael@perzl.org> - 4.4.3-1
- updated to version 4.4.3

* Wed Dec 16 2009 Michael Perzl <michael@perzl.org> - 4.4.2-1
- first version for AIX V5.1 and higher
